﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<AppUser> SignInManager
@inject UserManager<AppUser> UserManager

<ul class="navbar-nav nav-right-margin">
    @if (SignInManager.IsSignedIn(User))
    {
        var user = await UserManager.GetUserAsync(User);
        var roles = await UserManager.GetRolesAsync(user);
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Witaj @user.Imie!
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                @if (!roles.Contains("Administrator"))
                {
                    <a class="dropdown-item" asp-area="Identity" asp-page="/Account/Manage/Index">Moje konto</a>
                    <a class="dropdown-item" asp-area="" asp-controller="Devices" asp-action="Create">Zgłoś naprawę</a>
                    <a class="dropdown-item" asp-area="" asp-controller="RepairStatus" asp-action="Index">Twoje naprawy</a>
                }
                @if (roles.Contains("Administrator"))
                {
                    <a class="dropdown-item admin-dashboard-hover" asp-area="" asp-controller="Admin" asp-action="Dashboard">Panel administracyjny</a>
                    <a class="dropdown-item" asp-area="Identity" asp-page="/Account/Manage/Index">Moje konto</a>
                }
                <div class="dropdown-divider"></div>
                <form id="logoutForm" asp-area="Identity" asp-page="/Account/Logout" method="post" asp-route-returnUrl="@Url.Page("/Index", new { area = "" })" class="d-inline">
                    <button type="submit" class="dropdown-item">Wyloguj się</button>
                </form>
            </div>
        </li>
    }
    else
    {
        <li class="nav-item">
            <a class="nav-link" asp-area="Identity" asp-page="/Account/Login">Logowanie</a>
        </li>
    }
</ul>
